LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
SystemDependentXWindow Struct Referencepublished

specifies a system dependent XWindow. More...

`import"SystemDependentXWindow.idl";`

## Public Attributes
long | WindowHandle
| The XWindow handle if possible, otherwise 0. More...
hyper | DisplayPointer
| The display pointer. More...

## Detailed Description

specifies a system dependent XWindow.

This is the structure returned in the XSystemDependentWindowPeer::getWindowHandle() call, if the system type is com::sun::star::lang::SystemDependent::XWINDOW.

Deprecated:

## Member Data Documentation

hyper DisplayPointer

The display pointer.

long WindowHandle

The XWindow handle if possible, otherwise 0.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/SystemDependentXWindow.idl